/* This file is part of Disk War, a game by Alessandro Pira */

#include <SDL/SDL.h>

SDL_Surface *char_bmp;

SDL_Rect write_char(SDL_Surface *dest, char c, int x, int y)
{
	SDL_Rect rect, ch_rect;
	if ( (c>0x1F) && (c<0x7F) )
	{
		rect.x=x; rect.y=y;
		ch_rect.x=9*(c-0x20); ch_rect.y=0;
		ch_rect.h=rect.h=15; ch_rect.w=rect.w=9;

		SDL_BlitSurface(char_bmp,&ch_rect,dest,&rect);
	}
	else
	{
		rect.x=rect.y=rect.h=rect.w=0;
	}
	return rect;
}

SDL_Rect write_string(SDL_Surface *dest, char *st, int x, int y)
{
	SDL_Rect rect;
	rect.x=x; rect.y=y;
	rect.w=0; rect.h=15;
	for (;(*st)!='\0';st++)
	{
		if ( ((*st)<0x20) || ((*st)>0x7E) ) (*st)=0x20;
		write_char(dest,(*st),x,y);
		x+=9;
		rect.w+=9;
	}
	return rect;
}

